<?php
defined('IN_COPPERMINE') or die('Not in Coppermine...');

// ------------------------------------------------------------------------------------------------
// Add filters
// ------------------------------------------------------------------------------------------------
$thisplugin->add_filter('page_html', 'delcon_filterpage');

// ------------------------------------------------------------------------------------------------
// Add actions
// ------------------------------------------------------------------------------------------------
// {ron4mac} not enabling this action as a form token is used to stop nefarious attempts
//$thisplugin->add_action('page_start', 'delcon_restrictaccess');

// ------------------------------------------------------------------------------------------------
// Filter page_html to remove delete buttons
// ------------------------------------------------------------------------------------------------
function delcon_filterpage ($html)
{
	if (defined('DISPLAYIMAGE_PHP') && !GALLERY_ADMIN_MODE) {
		$html = preg_replace('/<a href="delete\.php.*?<\/a>/','',$html);
	}
	if (defined('INDEX_PHP') && !GALLERY_ADMIN_MODE) {
		$html = preg_replace('/(?U)<li.*\s*<a href="delete\.php(?s).*<\/a>.*<\/li>/','',$html);
	}
	if (defined('EDITPICS_PHP') && !GALLERY_ADMIN_MODE) {
		$html = preg_replace('/(?U)<td.*\s*<input.*\s*.*(?s)name="deleteAll".*<\/td>/','<td></td>',$html);
		$html = preg_replace('/(?U)<td.*\s*<input.*\s*.*(?s)name="delete\d+".*<\/td>/','<td></td>',$html);
	}
	if (defined('ALBMGR_PHP') && !GALLERY_ADMIN_MODE) {
		$html = preg_replace('/(?U)<button\s+type="button"\s+id="delete_album".*<\/button>/','',$html);
	}
	return $html;
}

// ------------------------------------------------------------------------------------------------
// Restrict access to delete.php script
// ------------------------------------------------------------------------------------------------
/*
function delcon_restrictaccess ()
{
	global $lang_errors, $lang_error;
	if (defined('DELETE_PHP') && !GALLERY_ADMIN_MODE) {
		$try_to_delete = false;
		$what = isset($_GET['what']) ? $_GET['what'] : $_POST['what'];
		if (($what != 'albmgr') || (($what == 'albmgr') && $_POST['delete_album'])) {
			$try_to_delete = true;
		}
		if ($try_to_delete) {
			load_template();
			pageheader($lang_error);
			cpg_die(ERROR, $lang_errors['perm_denied'], __FILE__, __LINE__);
		}
	}
	if (defined('EDITPICS_PHP') && !GALLERY_ADMIN_MODE) {
		$try_to_delete = false;
	        $pid_array = $_POST['pid'];
	        foreach($pid_array as $pid){
        	        $pid = (int)$pid;
			if (isset($_POST['delete'.$pid])) $try_to_delete = true;
		}
		if ($try_to_delete) {
			load_template();
			pageheader($lang_error);
			cpg_die(ERROR, $lang_errors['perm_denied'], __FILE__, __LINE__);
		}
	}
}
*/
